Skip to main content
GET
/
contact
/
{identifier}
Get contact by ID
curl --request GET \
  --url https://api.sendx.io/api/v1/rest/contact/{identifier} \
  --header 'X-Team-ApiKey: <api-key>'
{
  "id": "contact_BnKjkbBBS500CoBCP0oChQ",
  "firstName": "Alexander",
  "lastName": "Johnson",
  "email": "[email protected]",
  "company": "Enterprise Solutions Inc",
  "customFields": {
    "field_MnuqBAG2NPLm7PZMWbjQxt": "Engineering",
    "field_QqfhckbdcvQinLPlduIbHq": "Senior Developer",
    "field_rMMSPH9VCIN4NP4CHUyFGH": "Premium",
    "field_ImuqBAG2NPLm7PZMWbjQxt": "$75000",
    "field_RxfhckbdcvQinLPlduIbHq": "85"
  },
  "lists": [
    "list_vUCjsUmrVXtSppS8rD0Ssq",
    "list_0tOFLp5RgV7s3LNiHrjGYs",
    "list_OcuxJHdiAvujmwQVJfd3ss"
  ],
  "tags": [
    "tag_UhsDkjL772Qbj5lWtT62VK",
    "tag_LhsDkjL772Qbj5lWtT62VK",
    "tag_fL7t9lsnZ9swvx2HrtQ9wM",
    "tag_mL7t9lsnZ9swvx2HrtQ9wM"
  ],
  "unsubscribed": false,
  "bounced": false,
  "spam": false,
  "blocked": false,
  "dropped": false,
  "created": "2024-01-05T08:30:00Z",
  "updated": "2024-01-20T15:45:00Z",
  "trackData": "utm_source=google&utm_campaign=enterprise&utm_medium=cpc",
  "contactSource": 1,
  "pageSource": "https://enterprise.com/signup?ref=google-ads",
  "lastTrackedIp": "203.0.113.100",
  "ltv": 7500
}

Authorizations

X-Team-ApiKey
string
header
required

Team API key for authentication. Find your API key in SendX Settings → Team API Key.

Example:

X-Team-ApiKey: your_team_api_key_here

Path Parameters

identifier
string
required

Resource identifier with prefix (e.g., contact_BnKjkbBBS500CoBCP0oChQ)

Format: <prefix>_<22-character-id>

Example:

"contact_BnKjkbBBS500CoBCP0oChQ"

Response

✅ Contact retrieved successfully

id
string

Unique contact identifier with contact_ prefix.

Format: contact_ + 22 alphanumeric characters

Usage:

  • Use this ID for all subsequent API calls
  • Unique across the entire SendX platform
  • Never changes once created
Example:

"contact_BnKjkbBBS500CoBCP0oChQ"

firstName
string | null

First name of the contact

Example:

"John"

lastName
string | null

Last name of the contact

Example:

"Doe"

email
string<email>

Email address of the contact (unique within team)

company
string | null

Company name of the contact

Example:

"Example Corp"

customFields
object

Custom fields with custom_field_ prefixed keys.

Format: All keys have custom_field_ prefix in responses

Example Structure:

{
  "field_MnuqBAG2NPLm7PZMWbjQxt": "Engineering",
  "field_QqfhckbdcvQinLPlduIbHq": "Senior",
  "field_MnuqBAG2NPLm7PZMWbjQxt": "$75000"
}
Example:
{
  "field_MnuqBAG2NPLm7PZMWbjQxt": "Engineering",
  "field_QqfhckbdcvQinLPlduIbHq": "Senior"
}
lists
string[]

Associated lists with list_ prefixed identifiers.

Format: All IDs have list_ prefix in responses

Example:
[
  "list_OcuxJHdiAvujmwQVJfd3ss",
  "list_xyz789ghi012"
]
tags
string[]

Associated tags with tag_ prefixed identifiers.

Format: All IDs have tag_ prefix in responses

Example:
[
  "tag_UhsDkjL772Qbj5lWtT62VK",
  "tag_UhsDkjL772Qbj5lWtT62VK"
]
unsubscribed
boolean

Whether the contact has unsubscribed from emails

Example:

false

bounced
boolean

Whether emails to this contact have bounced

Example:

false

spam
boolean

Whether the contact has marked emails as spam

Example:

false

blocked
boolean

Whether the contact is blocked from receiving emails

Example:

false

dropped
boolean

Whether emails to this contact have been dropped

Example:

false

created
string<date-time>

Contact creation timestamp (ISO 8601 format)

Example:

"2024-01-10T14:20:00Z"

updated
string<date-time>

Contact last update timestamp (ISO 8601 format)

Example:

"2024-01-15T09:15:00Z"

trackData
string

Email tracking data and UTM parameters.

Contains:

  • UTM parameters from campaigns
  • Attribution data
  • Custom tracking parameters
Example:

"utm_source=website&utm_campaign=signup&utm_medium=banner"

contactSource
integer

Source type of the contact creation.

Values:

  • 1 - API/Manual
  • 2 - Import
  • 3 - Form
  • 4 - Integration
Example:

1

pageSource
string | null

URL of the page where contact was created

Example:

"https://example.com/signup?ref=google-ads"

lastTrackedIp
string<ipv4> | null

Last tracked IP address of the contact

Example:

"203.0.113.42"

LTV
integer

Lifetime Value of the contact in cents.

Example: 7500 = $75.00

Example:

7500